/*
 * aloba ag , Copyright (c) 2006
 * created 30.06.2006 by Hansjoerg
 */
package ch.aloba.mpeeditor.editor.pages;

import org.eclipse.pde.internal.ui.editor.PDEFormPage;
import org.eclipse.pde.internal.ui.editor.PDEMasterDetailsBlock;
import org.eclipse.pde.internal.ui.editor.PDESection;
import org.eclipse.pde.internal.ui.editor.plugin.BodyTextSection;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.forms.DetailsPart;
import org.eclipse.ui.forms.IDetailsPage;
import org.eclipse.ui.forms.IDetailsPageProvider;
import org.eclipse.ui.forms.IManagedForm;
import org.eclipse.ui.forms.editor.FormEditor;
import org.eclipse.ui.forms.widgets.ScrolledForm;

/**
 * TODO add class description ...
 *
 * @author Hansjoerg
 * @version $Revision: 1.1 $
 */
public class MainExamplePage extends PDEFormPage
{

    private ExampleMainBlock mainBlock;
    private MainSection mainSection;

    /**
     * @param editor
     * @param id
     * @param title
     */
    public MainExamplePage(FormEditor editor)
    {
        super(editor, "PAGE_EXAMPLE", "Main");
        mainBlock = new ExampleMainBlock();
    }


    /**
     *
     * @see org.eclipse.ui.forms.editor.FormPage#createFormContent(org.eclipse.ui.forms.IManagedForm)
     */
    protected void createFormContent(IManagedForm managedForm)
    {
        super.createFormContent(managedForm);
        ScrolledForm form = managedForm.getForm();
        form.setText("Example Main Page");
        mainBlock.createContent(managedForm);
    }

    public class ExampleMainBlock extends PDEMasterDetailsBlock
    {
        public ExampleMainBlock()
        {
            super(MainExamplePage.this);
        }

        protected PDESection createMasterSection(IManagedForm managedForm, Composite parent)
        {
            mainSection = new MainSection(getPage(), parent);
            return mainSection;
        }

        protected void registerPages(DetailsPart detailsPart)
        {
            detailsPart.setPageProvider(new IDetailsPageProvider()
            {
                public IDetailsPage getPage(Object key)
                {
                    // we just do have Persons in our list
                    return new PersonDetailsPage();
                }

                public Object getPageKey(Object object)
                {
                    return null;
                }
            });
        }
    }
}


