/*
 * aloba ag , Copyright (c) 2006
 * created 21.04.2006 by Hansjoerg
 */
package ch.aloba.mpefw.editor;

import ch.aloba.mpefw.configuration.ConfigurationFactory;

import org.eclipse.jface.viewers.ILabelProvider;
import org.eclipse.jface.viewers.ITreeContentProvider;
import org.eclipse.jface.viewers.SelectionChangedEvent;
import org.eclipse.jface.viewers.ViewerSorter;
import org.eclipse.pde.internal.ui.editor.ISortableContentOutlinePage;
import org.eclipse.pde.internal.ui.editor.PDEFormEditor;
import org.eclipse.pde.internal.ui.editor.XMLSourcePage;
import org.eclipse.pde.internal.ui.editor.site.SiteOutlinePage;
import org.eclipse.ui.views.contentoutline.IContentOutlinePage;

/**
 * XML-SourcePage.
 *
 * @author Hansjoerg
 * @version $Revision: 1.1 $
 */
public class MpeFwSourcePage extends XMLSourcePage
{

    /**
     * Constructor.
     * @param editor editor
     * @param id id
     * @param title title of the page.
     */
    public MpeFwSourcePage(AbstractMpeFwEditor editor, String id, String title)
    {
        super(editor, id, title);
    }

    /**
     *
     * @return IContentOutlinePage
     */
    public IContentOutlinePage createContentOutlinePage()
    {
        return null;
    }

    /**
     *
     * @see org.eclipse.pde.internal.ui.editor.PDESourcePage#createOutlineLabelProvider()
     */
    protected ILabelProvider createOutlineLabelProvider()
    {
        return null;
    }

    /**
     *
     * @see org.eclipse.pde.internal.ui.editor.PDESourcePage#createOutlineContentProvider()
     */
    protected ITreeContentProvider createOutlineContentProvider()
    {
        return null;
    }

    /**
     * @see org.eclipse.pde.internal.ui.editor.PDESourcePage#createOutlineSorter()
     */
    protected ViewerSorter createOutlineSorter()
    {
        return null;
    }

    /**
     *
     * @see org.eclipse.pde.internal.ui.editor.PDESourcePage#outlineSelectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent)
     */
    protected void outlineSelectionChanged(SelectionChangedEvent e)
    {
    }

    /**
     *
     * @see org.eclipse.pde.internal.ui.editor.PDESourcePage#createOutlinePage()
     */
    protected ISortableContentOutlinePage createOutlinePage()
    {
        // TODO remove this method when the above three stubs
        // are implemented
        return ConfigurationFactory.getConfiguration().getContentOutline(
                        (AbstractMpeFwEditor) getEditor());
    }
}