/*
 * aloba ag , Copyright (c) 2006
 * created 07.04.2006 by Hansjoerg
 */
package ch.aloba.mpefw.editor.context;

import ch.aloba.mpefw.configuration.ConfigurationFactory;
import ch.aloba.mpefw.editor.AbstractMpeFwEditor;

import org.eclipse.pde.core.IBaseModel;
import org.eclipse.pde.internal.ui.editor.context.InputContext;
import org.eclipse.pde.internal.ui.editor.context.InputContextManager;

/**
 * Context Manager.
 *
 * @author Hansjoerg
 * @version $Revision: 1.1 $
 */
public class MpeFwInputContextManager extends InputContextManager
{
    /**
     * Constructor.
     * @param editor editor
     */
    public MpeFwInputContextManager(AbstractMpeFwEditor editor) {
        super(editor);
    }

    /**
     *
     * @see org.eclipse.pde.internal.ui.editor.context.InputContextManager#getAggregateModel()
     */
    public IBaseModel getAggregateModel() {
        InputContext scontext = findContext(ConfigurationFactory.getConfiguration().getContextId());
        return (scontext != null) ? scontext.getModel() : null;
    }
}


