/*
 * aloba ag , Copyright (c) 2006
 * created 31.03.2006 by Hansjoerg
 */
package ch.aloba.mpefw.model.base;

import org.eclipse.pde.core.IEditable;
import org.eclipse.pde.core.IModel;
import org.eclipse.pde.core.IModelChangeProvider;

/**
 * Models of the Framework must implement this interface.
 *
 * @author Hansjoerg
 * @version $Revision: 1.1 $
 */
public interface IModelMpeFw extends IModelChangeProvider, IModel, IEditable
{
    /**
     *
     * @return the pluginId();
     */
    public String getPluginId();

    /**
     * @return the model factory.
     */
    public IModelFactory getFactory();
}


